<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Your request information</title>
    <style>
      code {
        font-size: 125%;
      }
      td:last-child {
        font-style: italic;
      }
      table, th, td {
        border-collapse: collapse;
        border: 2px solid gray;
      }
    </style>
  </head>
  <body>
    <h1>Information on your request</h1>
    <p>Method: <b>{{ method }}</b></p>
    <p>URL: <code>{{ url }}</code></p>
    <p>Request headers:</p>
    <table>
      <tr><th>Key</th><th>Value</th></tr>
      {{#each headers}}
      <tr>
        {{#eq @key "connection"}}
          <td><b>{{ @key }}</b></td>
        {{else}}
          <td>{{ @key }}</td>
        {{/eq}}
        <td>{{ this }}</td>
      </tr>
      {{/each}}
    </table>
  </body>
</html>